Bug 10593 - Плавный переезд конфига
: Плавный переезд конфига
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/squid)
: unstable
: all Linux
: P2 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-01-05 07:58 by
Modified: 2014-10-31 14:54 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-01-05 07:58:38
При обновлении со squid-2.5 до squid-2.6 некоторые настройки конфига становятся
недействительными (заменены, устарели и/или более не поддерживаются), что может
дизориентировать пользователя. Например:

> Jan  4 21:14:19 romkahome apt-get: squid-server-0:2.5.STABLE13-alt1 removed
> Jan  4 21:14:20 romkahome apt-get: squid-0:2.6.STABLE6-alt3 installed
> Jan  4 21:14:22 romkahome apt-get: squid-0:2.5.STABLE13-alt1 removed
> Jan  4 21:29:15 romkahome squid[12186]: Squid Parent: child process 12188
exited with status 0
> Jan  4 21:29:15 romkahome squid: squid shutdown succeeded
> Jan  4 21:31:26 romkahome squid: 2007/01/04 21:31:26| parseConfigFile: line
2155 unrecognized: ' httpd_accel_port 80'
> Jan  4 21:31:26 romkahome squid: 2007/01/04 21:31:26| parseConfigFile: line
2156 unrecognized: ' httpd_accel_host virtual'
> Jan  4 21:31:26 romkahome squid: 2007/01/04 21:31:26| parseConfigFile: line
2174 unrecognized: ' httpd_accel_single_host off'
> Jan  4 21:31:26 romkahome squid: 2007/01/04 21:31:26| parseConfigFile: line
2185 unrecognized: ' httpd_accel_with_proxy on'
> Jan  4 21:31:26 romkahome squid: 2007/01/04 21:31:26| parseConfigFile: line
2205 unrecognized: ' httpd_accel_uses_host_header on'
> Jan  4 21:31:27 romkahome squid: squid startup succeeded
> Jan  4 21:31:27 romkahome squid[7403]: Squid Parent: child process 7405 started

В новом формате должно быть указано как "http_port 80 transparent". Надо
придумать вариант плавного переезда старых настроек.
------- Comment #1 From 2009-03-02 11:28:37 -------
Кстати, в Debian используются ucf и diff3, но в обще-системном смысле, а не
только для squid.
------- Comment #2 From 2014-10-31 14:54:56 -------
apparently wontfix